Loading...
Searching...
No Matches
dynmatrixev.hh File Reference

utility functions to compute eigenvalues for dense matrices. More...

`#include <algorithm>`
`#include <memory>`
`#include <dune-common-config.hh>`
`#include "dynmatrix.hh"`
`#include "fmatrixev.hh"`

Go to the source code of this file.

## Namespaces

namespace | Dune
| Dune namespace
namespace | Dune::DynamicMatrixHelp

## Functions

template<typename K, class C>
static void | Dune::DynamicMatrixHelp::eigenValuesNonSym (const DynamicMatrix< K > &matrix, DynamicVector< C > &eigenValues, std::vector< DynamicVector< K > > *eigenVectors=nullptr)
| calculates the eigenvalues of a symmetric field matrix

## Detailed Description

utility functions to compute eigenvalues for dense matrices.